# Team Members

A **team member** object provides information on your team members. Team members can be added and managed through the [team settings page](https://portal.complycube.com/settings/team).&#x20;

Each team member will be assigned a role with associated permissions to enable controlled segregation of duties. [Learn more about ComplyCube user roles and permissions](/documentation/access-management/teams-and-user-roles.md).

When a team member conducts an auditable action using the Web Portal or optionally through the API  if a member ID is provided, ComplyCube will record the team member's ID against the relevant resource and audit logs.

Typically, auditable actions include **creating**, **updating**, **validating**, or **deleting** a core resource. All actions and transitions in states can be traced using the [Audit Logs](/documentation/api-reference/other-resources/audit-logs.md) endpoint.

### The Team Member Object

<table><thead><tr><th width="211">Attribute</th><th width="111.33333333333331">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string</td><td>The unique identifier for a team member.</td></tr><tr><td><code>firstName</code></td><td>string</td><td>The first name of this team member.</td></tr><tr><td><code>lastName</code></td><td>string</td><td>The last name of this team member.</td></tr><tr><td><code>role</code></td><td>string</td><td><p>The role of this team member. Valid values include:</p><ol><li><code>owner</code></li><li><code>administrator</code></li><li><code>developer</code></li><li><code>analyst</code></li><li><code>support-specialist</code></li><li><code>view-only</code></li></ol></td></tr><tr><td><code>createdAt</code></td><td>string</td><td>The date and time when the team member was created.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/other-resources/team-members.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
